Bug 193233 - [maintainer] [patch] deskutils/cairo-dock-plugins update to 3.4.0
Summary: [maintainer] [patch] deskutils/cairo-dock-plugins update to 3.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2014-09-01 20:01 UTC by Ivan Klymenko
Modified: 2014-12-28 11:22 UTC (History)
2 users (show)

See Also:


Attachments
deskutils/cairo-dock-plugins update to 3.3.2 (55.38 KB, text/plain)
2014-09-01 20:01 UTC, Ivan Klymenko
no flags Details
deskutils/cairo-dock-plugins update to 3.3.2 (55.38 KB, patch)
2014-09-01 20:02 UTC, Ivan Klymenko
no flags Details | Diff
deskutils/cairo-dock-plugins update to 3.3.2 (83.26 KB, patch)
2014-09-19 21:11 UTC, Ivan Klymenko
no flags Details | Diff
deskutils/cairo-dock-plugins update to 3.3.2 (55.84 KB, patch)
2014-09-20 16:40 UTC, Ivan Klymenko
no flags Details | Diff
shar deskutils/cairo-dock-plug-ins 3.4.0 (33.31 KB, text/plain)
2014-11-27 09:06 UTC, Ivan Klymenko
no flags Details
patch from original port (59.62 KB, text/plain)
2014-11-27 09:07 UTC, Ivan Klymenko
no flags Details
deskutils/cairo-dock-plugins update to 3.4.0 (59.39 KB, text/plain)
2014-12-06 23:16 UTC, Ivan Klymenko
no flags Details
deskutils/cairo-dock-plugins update to 3.4.0 (58.73 KB, patch)
2014-12-25 19:58 UTC, Ivan Klymenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Klymenko 2014-09-01 20:01:17 UTC
Created attachment 146640 [details]
deskutils/cairo-dock-plugins update to 3.3.2
Comment 1 Ivan Klymenko 2014-09-01 20:02:09 UTC
Created attachment 146641 [details]
deskutils/cairo-dock-plugins update to 3.3.2
Comment 2 Ivan Klymenko 2014-09-01 20:52:19 UTC
    Port:            deskutils/cairo-dock-plugins 3.3.2

      Buildgroup:     11-CURRENT/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fidaj/20140901153958-25279-239792/cairo-dock-plugins-3.3.2.log

      Buildgroup:     11-CURRENT/i386
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fidaj/20140901153958-25279-239793/cairo-dock-plugins-3.3.2.log

      Buildgroup:     10.0-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fidaj/20140901153958-25279-239794/cairo-dock-plugins-3.3.2.log

      Buildgroup:     10.0-RELEASE/i386
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fidaj/20140901153958-25279-239795/cairo-dock-plugins-3.3.2.log

      Buildgroup:     9.3-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fidaj/20140901153958-25279-239796/cairo-dock-plugins-3.3.2.log

      Buildgroup:     9.3-RELEASE/i386
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fidaj/20140901153958-25279-239797/cairo-dock-plugins-3.3.2.log

      Buildgroup:     9.2-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fidaj/20140901153958-25279-239798/cairo-dock-plugins-3.3.2.log

      Buildgroup:     9.2-RELEASE/i386
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fidaj/20140901153958-25279-239799/cairo-dock-plugins-3.3.2.log

      Buildgroup:     8.4-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fidaj/20140901153958-25279-239800/cairo-dock-plugins-3.3.2.log

      Buildgroup:     8.4-RELEASE/i386
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fidaj/20140901153958-25279-239801/cairo-dock-plugins-3.3.2.log
Comment 3 John Marino freebsd_committer 2014-09-04 15:20:26 UTC
tested maintainer update, moving to patch-ready
Comment 4 Ivan Klymenko 2014-09-19 21:11:17 UTC
Created attachment 147492 [details]
deskutils/cairo-dock-plugins update to 3.3.2
Comment 5 Pawel Pekala freebsd_committer 2014-09-20 14:02:07 UTC
Hello, this port could use some converting to our new frameworks, that is:

- USE_PYTHON=yes -> USES=python
- Option helpers:

XFCE_INTEGRATION_LIB_DEPENDS=   libexif.so:${PORTSDIR}/graphics/libexif
XFCE_INTEGRATION_CMAKE_ON=-Denable-xfce-integration:BOOL=TRUE
.else
CMAKE_ARGS+=    -Denable-xfce-integration:BOOL=FALSE
Comment 6 Pawel Pekala freebsd_committer 2014-09-20 14:15:55 UTC
Hello, this port could use some converting to our new frameworks, that is:

- USE_PYTHON=yes -> USES=python
- Option helpers:

XFCE_INTEGRATION_LIB_DEPENDS=   libexif.so:${PORTSDIR}/graphics/libexif
XFCE_INTEGRATION_CMAKE_ON=      -Denable-xfce-integration:BOOL=TRUE
XFCE_INTEGRATION_CMAKE_OFF=     -Denable-xfce-integration:BOOL=FALSE

etc. See /usr/ports/Mk/bsd.options.mk for details.

Also on my desktop machine this ports build some additional features not
covered in Makefile:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/cairo-dock/libcd-terminal.so
Error: Orphaned: %%DATADIR%%/plug-ins/GMenu/GMenu.conf
Error: Orphaned: %%DATADIR%%/plug-ins/GMenu/icon.svg
Error: Orphaned: %%DATADIR%%/plug-ins/GMenu/preview.jpg
Error: Orphaned: %%DATADIR%%/plug-ins/GMenu/system-log-out.svg
Error: Orphaned: %%DATADIR%%/plug-ins/GMenu/system-shutdown.svg
Error: Orphaned: %%DATADIR%%/plug-ins/terminal/icon.png
Error: Orphaned: %%DATADIR%%/plug-ins/terminal/preview.jpg
Error: Orphaned: %%DATADIR%%/plug-ins/terminal/terminal.conf
Error: Orphaned: @dirrmtry %%DATADIR%%/plug-ins/GMenu
Error: Orphaned: @dirrmtry %%DATADIR%%/plug-ins/terminal
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Suspected packages looking at my buildlogs:

-- Add On:
--  - with Sound-Menu support:        no
--  - with Screen Resolution support: yes
--  - with Sensors support:           no
--  - with UPower support:            yes  (sysutils/upower ?)
--  - with iCal support:              yes  (devel/libical ?) 
--  - with Exif support:              yes  (graphics/libexif ?)

Could you look into this issues please? Thanks.
Comment 7 Ivan Klymenko 2014-09-20 16:40:10 UTC
Created attachment 147504 [details]
deskutils/cairo-dock-plugins update to 3.3.2
Comment 8 Pawel Pekala freebsd_committer 2014-09-21 16:00:44 UTC
This updated patch fixes only 1 of 3 mentioned issues. If you need help with
other 2 please let me know and I will gladly help to fix them.
Comment 9 Ivan Klymenko 2014-11-27 09:06:51 UTC
Created attachment 149935 [details]
shar deskutils/cairo-dock-plug-ins 3.4.0

change name port
switch to github master site
change options port

I need help to solve this problem with different versions python in "Third Party Interfaces" detection
#/usr/ports/deskutils/cairo-dock-plug-ins # make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/python3.3/site-packages/CDApplet-1.0-py3.3.egg-info
Error: Orphaned: lib/python3.3/site-packages/CDApplet.py
Error: Orphaned: lib/python3.3/site-packages/CDBashApplet-1.0-py3.3.egg-info
Error: Orphaned: lib/python3.3/site-packages/CDBashApplet.py
Error: Orphaned: lib/python3.3/site-packages/CairoDock.py
Error: Orphaned: lib/python3.3/site-packages/__pycache__/CDApplet.cpython-33.pyc
Error: Orphaned: lib/python3.3/site-packages/__pycache__/CDBashApplet.cpython-33.pyc
Error: Orphaned: lib/python3.3/site-packages/__pycache__/CairoDock.cpython-33.pyc
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/deskutils/cairo-dock-plug-ins
Comment 10 Ivan Klymenko 2014-11-27 09:07:31 UTC
Created attachment 149936 [details]
patch from original port
Comment 11 Ivan Klymenko 2014-11-28 12:43:09 UTC
up
I have not received a letter about changes...
Comment 12 Pawel Pekala freebsd_committer 2014-12-02 20:44:11 UTC
I don't see real reason to rename this port, it carries no benefits and
comes only with drawbacks (would need adding MOVED record etc).
Leftover files come from installed python3 port on your system, this
port displays what plugins it will build at the end of the
make configure, in this case :

[..]
-- Third Party Interfaces:
--  - with Python2 interface:         yes
--  - with Python3 interface:         yes
[..]

Here also portlint points few things that need to be fixed.
Comment 13 Pawel Pekala freebsd_committer 2014-12-03 23:52:31 UTC
Also build on poudriere uncovered some new plist problems:

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%DATADIR%%/plug-ins/GMenu/GMenu.conf
Error: Orphaned: %%DATADIR%%/plug-ins/GMenu/icon.svg
Error: Orphaned: %%DATADIR%%/plug-ins/GMenu/preview.jpg
Error: Orphaned: %%DATADIR%%/plug-ins/GMenu/system-log-out.svg
Error: Orphaned: %%DATADIR%%/plug-ins/GMenu/system-shutdown.svg
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: lib/ruby/2.0/CDApplet.rb
===> Error: Plist issues found.
*** [check-plist] Error code 1
Comment 14 Ivan Klymenko 2014-12-06 23:16:03 UTC
Created attachment 150290 [details]
deskutils/cairo-dock-plugins update to 3.4.0
Comment 15 Ivan Klymenko 2014-12-06 23:17:45 UTC
# make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

# make stage-qa
====> Running Q/A tests (stage-qa)

# portlint -abt
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
0 fatal errors and 1 warning found.
Comment 16 Pawel Pekala freebsd_committer 2014-12-08 22:12:25 UTC
There are couple more leftover files when building with all
options set to on:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%DATADIR%%/gauges/Sound-Mono/0.svg
Error: Orphaned: %%DATADIR%%/gauges/Sound-Mono/1.svg
Error: Orphaned: %%DATADIR%%/gauges/Sound-Mono/2.svg
Error: Orphaned: %%DATADIR%%/gauges/Sound-Mono/3.svg
Error: Orphaned: %%DATADIR%%/gauges/Sound-Mono/preview
Error: Orphaned: %%DATADIR%%/gauges/Sound-Mono/readme
Error: Orphaned: %%DATADIR%%/gauges/Sound-Mono/theme.xml
Error: Orphaned: %%DATADIR%%/gauges/Sound-Mono/undef.svg
Error: Orphaned: %%DATADIR%%/gauges/Sound-Mono/version
Error: Orphaned: %%DATADIR%%/plug-ins/AlsaMixer/AlsaMixer.conf
Error: Orphaned: %%DATADIR%%/plug-ins/AlsaMixer/broken.svg
Error: Orphaned: %%DATADIR%%/plug-ins/AlsaMixer/default.svg
Error: Orphaned: %%DATADIR%%/plug-ins/AlsaMixer/emblem-mute.svg
Error: Orphaned: %%DATADIR%%/plug-ins/AlsaMixer/icon.png
Error: Orphaned: %%DATADIR%%/plug-ins/AlsaMixer/mute.svg
Error: Orphaned: %%DATADIR%%/plug-ins/AlsaMixer/preview.jpg
Error: Orphaned: %%DATADIR%%/plug-ins/Impulse/Impulse.conf
Error: Orphaned: %%DATADIR%%/plug-ins/Impulse/icon.png
Error: Orphaned: %%DATADIR%%/plug-ins/Impulse/impulse-error.svg
Error: Orphaned: %%DATADIR%%/plug-ins/Impulse/impulse-running.svg
Error: Orphaned: %%DATADIR%%/plug-ins/Impulse/impulse-stopped.svg
Error: Orphaned: %%DATADIR%%/plug-ins/Impulse/preview.jpg
Error: Orphaned: %%DATADIR%%/plug-ins/Sound-Effects/Sound-Effects.conf
Error: Orphaned: %%DATADIR%%/plug-ins/Sound-Effects/icon.svg
Error: Orphaned: %%DATADIR%%/plug-ins/Sound-Effects/on-click.wav
Error: Orphaned: %%DATADIR%%/plug-ins/Sound-Effects/on-hover.wav
Error: Orphaned: %%DATADIR%%/plug-ins/Sound-Effects/on-middle-click.wav
Error: Orphaned: %%DATADIR%%/plug-ins/Sound-Effects/preview.png
Error: Orphaned: %%DATADIR%%/plug-ins/keyboard-indicator/caps-lock.png
Error: Orphaned: %%DATADIR%%/plug-ins/keyboard-indicator/icon.png
Error: Orphaned: %%DATADIR%%/plug-ins/keyboard-indicator/keyboard-indicator.conf
Error: Orphaned: %%DATADIR%%/plug-ins/keyboard-indicator/num-lock.png
Error: Orphaned: %%DATADIR%%/plug-ins/keyboard-indicator/preview.jpg
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1


@dir should be used only for empty directories, if directory contains
any files it's automatically added to plist no need adding them to plist
like it was necessary with deprecated @dirrm - see /usr/ports/CHANGES
entry from 20140922 for details.
Comment 17 Ivan Klymenko 2014-12-25 19:58:21 UTC
Created attachment 150960 [details]
deskutils/cairo-dock-plugins update to 3.4.0
Comment 18 commit-hook freebsd_committer 2014-12-28 11:07:34 UTC
A commit references this bug:

Author: pawel
Date: Sun Dec 28 11:06:34 UTC 2014
New revision: 375699
URL: https://svnweb.freebsd.org/changeset/ports/375699

Log:
  - Update to version 3.4.0
  - Now hosted on github, new homepage
  - Add LICENSE
  - Add options for new plugins

  PR:		193233
  Submitted by:	maintainer

Changes:
  head/deskutils/cairo-dock-plugins/Makefile
  head/deskutils/cairo-dock-plugins/distinfo
  head/deskutils/cairo-dock-plugins/files/
  head/deskutils/cairo-dock-plugins/pkg-descr
  head/deskutils/cairo-dock-plugins/pkg-plist
Comment 19 Ivan Klymenko 2014-12-28 11:22:06 UTC
Thanks!